## Struct mount_point_base

zeep::http::soap_controller::mount_point_base

## Synopsis

    // In header: <zeep/http/soap-controller.hpp>

    struct mount_point_base {
      // construct/copy/destruct
      mount_point_base(const char *);
      ~mount_point_base();

      // public member functions
      virtual void call(const xml::element &, reply &, const std::string &) = 0;
      virtual void
      collect_types(std::map< std::string, xml::element > &, const std::string &) = 0;

      // public data members
      std::string m_action;
    };

## Description

### `mount_point_base` public construct/copy/destruct

1.     mount_point_base(const char * action);

2.     ~mount_point_base();

### `mount_point_base` public member functions

1.     virtual void
       call(const xml::element & request, reply & reply, const std::string & ns) = 0;

2.     virtual void
       collect_types(std::map< std::string, xml::element > & types,
                     const std::string & ns) = 0;